Bug 235376 - Review Request: ocsinventory-ipdiscover - Open Computer and Software Inventory Next Generation client
Review Request: ocsinventory-ipdiscover - Open Computer and Software Inventor...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-05 10:35 EDT by Remi Collet
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-13 01:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2007-04-05 10:35:37 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/ocsinventory-ipdiscover.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/ocsinventory-ipdiscover-1.01-1.fc7.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/ocsinventory-ipdiscover-build.log
Description: 

Open Computer and Software Inventory Next Generation is an application
designed to help a network or system administrator keep track of computer
configuration and software installed on the network.

It also allows deploying softwares, commands or files on Windows and
Linux client computers.

ocsinventory-ipdiscover provide the ipiscover command used by
client agent for Linux.
-----------------

ocsinventory-client is already available in the Extras.

This is a split, need to :
 ocsinventory-client become "noarch" (perl only)
 ocsinventory-ipdiscover is needed by new agent (Unix Unified Agent)
Comment 1 Remi Collet 2007-04-05 10:37:14 EDT
Patrice, as you've done the review of ocsinventory-client, can you have a look
to this one ?
Comment 2 Patrice Dumas 2007-04-05 10:53:17 EDT
I don't have much time to devote to reviewing these days, but given
the nature of the package I'll try to do the review by the end
of the week.
Comment 3 manuel wolfshant 2007-04-05 12:53:06 EDT
Please note that according to http://fedoraproject.org/wiki/PackagingDrafts one
should use downloads.sourceforge.net instead of an arbitrarily chosen mirror, so
a better source url would be:
Source0: http://downloads.sourceforge.net/sourceforge/ocsinventory/%{tarname}.tar.gz
Comment 4 Remi Collet 2007-04-06 11:32:35 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/ocsinventory-ipdiscover.spec
SRPM URL:
http://remi.collet.free.fr/rpms/extras/ocsinventory-ipdiscover-1.01-2.fc7.src.rpm

* Fri Apr 06 2007 Remi Collet <Fedora@famillecollet.com> 1.01-2
- change source URL
- add ocsinventory-ipdiscover.patch
Comment 5 manuel wolfshant 2007-04-06 19:05:11 EDT
GOOD
- rpmlint checks do not return anything
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL ) OK, matches source; upstream did not include the full license,
but the only existing doc (a README) mentions that the license is GPL and points
to the URL
- spec file legible, in am. english
- source matches upstream, sha1sum 
06acb6c071040d2ae6d3c26109e526afba660835 OCSNG_LINUX_AGENT_1.01.tar.gz
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all files and directories that it creates; does not take ownership of
foreign files and directories
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- not a GUI, so no need for .desktop file 
- no static content. no libtool / pkgconfig files


SHOULD
- compiles and builds in mock/devel/x86_64
- there are no translations available, but %description is also in French
- no scriptlets
- the program does start and seems to run without problems. I cannot do full
tests because I do not have the other needed programs (the agents). If someone
else could test this, please give us a hand.

Unless someone steps in pointing to problems that I have not spotted, Wednesday
I will approve this package (I think it's a good idea to wait till after
Easter). Meanwhile, Remi, please think of a method to preserve the timestamp of
the README file. Using perl to remove the CR/LF line endings affects it. Maybe
using "touch -r" before and after modifying the file ?
Comment 6 Remi Collet 2007-04-07 02:13:52 EDT
Thank's for the review

Mock log devel/x86_64 :
http://remi.collet.free.fr/rpms/extras/ocsinventory-ipdiscover-build2.log

The patch used has been send upstream and is commited to the CVS.

I've add your proposal for README in the spec file (no release bump)

About the test, ocsinventory-client (with ipdiscover) is available in the Extras
for a while : no bug filed. And i used it in a production environment (FC 3-6,
RHEL 2-4) ;)
Comment 7 Patrice Dumas 2007-04-07 11:28:23 EDT
Thanks Manuel for looking at that. Upon reading the spec I didn't 
found anything wrong.
Comment 8 manuel wolfshant 2007-04-07 12:32:30 EDT
I've noticed your patch in the first place. I think that the buffer you allocate
is way too large when compared to the 50 chars needed for storing a netmask+the
text of the error message. However it definitely does not break anything, so I
did not comment over it.

Since Patrice did not notice anything wrong either (btw, thank you for verifying
), the package is APPROVED
Comment 9 Remi Collet 2007-04-07 12:58:59 EDT
New Package CVS Request
=======================
Package Name: ocsinventory-ipdiscover
Short Description: Open Computer and Software Inventory Next Generation client
Owners: Fedora@FamilleCollet.com
Branches: devel FC-6 FC-5
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.